Loading...
Searching...
No Matches
pappso::MsDataFormatEnumStr Class Reference

static functions to convert mz file formats More...

`#include <mzformatenumstr.h>`

## Static Public Member Functions

static const QString | toString (Enums::MsDataFormat mz_format_enum)
| convert mz format enumeration to human readable string

## Detailed Description

static functions to convert mz file formats

Definition at line 40 of file mzformatenumstr.h.

## Member Function Documentation

## toString()

const QString pappso::MsDataFormatEnumStr::toString | ( | Enums::MsDataFormat | mz_format_enum | ) |

static

convert mz format enumeration to human readable string

Definition at line 37 of file mzformatenumstr.cpp.

{
QString ms_data_format_str;
switch(ms_data_format_enum)
{
case Enums::MsDataFormat::abSciexT2D:
ms_data_format_str = "abSciexT2D";
break;
case Enums::MsDataFormat::abSciexWiff:
ms_data_format_str = "abSciexWiff";
break;
case Enums::MsDataFormat::agilentMassHunter:
ms_data_format_str = "agilentMassHunter";
break;
case Enums::MsDataFormat::brukerBaf:
ms_data_format_str = "brukerBaf";
break;
case Enums::MsDataFormat::brukerFid:
ms_data_format_str = "brukerFid";
break;
case Enums::MsDataFormat::brukerTims:
ms_data_format_str = "brukerTims";
break;
case Enums::MsDataFormat::brukerYep:
ms_data_format_str = "brukerYep";
break;
case Enums::MsDataFormat::MGF:
ms_data_format_str = "MGF";
break;
case Enums::MsDataFormat::msn:
ms_data_format_str = "msn";
break;
case Enums::MsDataFormat::mz5:
ms_data_format_str = "mz5";
break;
case Enums::MsDataFormat::mzML:
ms_data_format_str = "mzML";
break;
case Enums::MsDataFormat::mzXML:
ms_data_format_str = "mzXML";
break;
case Enums::MsDataFormat::SQLite3:
ms_data_format_str = "SQLite3";
break;
case Enums::MsDataFormat::thermoRaw:
ms_data_format_str = "thermoRaw";
break;
case Enums::MsDataFormat::watersRaw:
ms_data_format_str = "watersRaw";
break;
case Enums::MsDataFormat::xy:
ms_data_format_str = "xy";
break;
case Enums::MsDataFormat::mzcbor:
ms_data_format_str = "mzCBOR";
break;
default:
throw pappso::PappsoException(
QObject::tr("Enums::MsDataFormat unknown :\n%1").arg((std::uint8_t)ms_data_format_enum));
}
return ms_data_format_str;
}
pappso::Enums::MsDataFormat::brukerTims
@ brukerTims
Definition types.h:165
pappso::Enums::MsDataFormat::msn
@ msn
Definition types.h:156
pappso::Enums::MsDataFormat::xy
@ xy
(x,y) format
Definition types.h:154
pappso::Enums::MsDataFormat::agilentMassHunter
@ agilentMassHunter
Definition types.h:159
pappso::Enums::MsDataFormat::abSciexT2D
@ abSciexT2D
Definition types.h:158
pappso::Enums::MsDataFormat::mzXML
@ mzXML
mzXML
Definition types.h:151
pappso::Enums::MsDataFormat::mzcbor
@ mzcbor
Definition types.h:167
pappso::Enums::MsDataFormat::watersRaw
@ watersRaw
Definition types.h:161
pappso::Enums::MsDataFormat::mz5
@ mz5
Definition types.h:155
pappso::Enums::MsDataFormat::brukerBaf
@ brukerBaf
Definition types.h:164
pappso::Enums::MsDataFormat::mzML
@ mzML
mzML
Definition types.h:150
pappso::Enums::MsDataFormat::abSciexWiff
@ abSciexWiff
Definition types.h:157
pappso::Enums::MsDataFormat::brukerFid
@ brukerFid
Definition types.h:162
pappso::Enums::MsDataFormat::SQLite3
@ SQLite3
SQLite3 format.
Definition types.h:153
pappso::Enums::MsDataFormat::MGF
@ MGF
Mascot format.
Definition types.h:152
pappso::Enums::MsDataFormat::thermoRaw
@ thermoRaw
Definition types.h:160
pappso::Enums::MsDataFormat::brukerYep
@ brukerYep
Definition types.h:163

References pappso::Enums::abSciexT2D, pappso::Enums::abSciexWiff, pappso::Enums::agilentMassHunter, pappso::Enums::brukerBaf, pappso::Enums::brukerFid, pappso::Enums::brukerTims, pappso::Enums::brukerYep, pappso::Enums::MGF, pappso::Enums::msn, pappso::Enums::mz5, pappso::Enums::mzcbor, pappso::Enums::mzML, pappso::Enums::mzXML, pappso::Enums::SQLite3, pappso::Enums::thermoRaw, pappso::Enums::watersRaw, and pappso::Enums::xy.

The documentation for this class was generated from the following files:

- pappsomspp/core/msfile/mzformatenumstr.h
- pappsomspp/core/msfile/mzformatenumstr.cpp